apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-12-24T11:41:15.014160855Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    openshift.io/display-name: Auto-esx7.0-rhel8.3-os-multiple-disk-boot-partition-on-last-disk
    original-ID: '72'
  resourceVersion: '321954216'
  name: auto-esx7.0-rhel8.3-os-multiple-disk-boot-partition-on-last-dis
  uid: 06d11858-a3d4-4964-b9b1-476af623ec4c
  creationTimestamp: '2025-12-24T11:39:58Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:openshift.io/display-name': {}
            'f:original-ID': {}
          'f:labels':
            .: {}
            'f:guestConverted': {}
            'f:migration': {}
            'f:plan': {}
            'f:resource': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:annotations':
                .: {}
                'f:vm.kubevirt.io/flavor': {}
                'f:vm.kubevirt.io/os': {}
                'f:vm.kubevirt.io/workload': {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                  'f:tpm':
                    .: {}
                    'f:enabled': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-12-24T11:39:58Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-12-24T11:39:59Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:runStrategy': {}
      manager: virt-api
      operation: Update
      time: '2025-12-24T11:41:15Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-12-24T11:41:19Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    guestConverted: 'true'
    migration: 5eddec6f-3b5f-4329-ba6a-cc0f0abf55ca
    plan: 5032dc6c-a258-4e8e-8681-b30830c55ae1
    resource: vm-config
    vmID: '72'
spec:
  runStrategy: Always
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: ''
        vm.kubevirt.io/os: ''
        vm.kubevirt.io/workload: ''
      creationTimestamp: null
      labels:
        app: auto-esx7.0-rhel8.3-os-multiple-disk-boot-partition-on-last-dis
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
            - disk:
                bus: virtio
              name: vol-1
            - disk:
                bus: virtio
              name: vol-2
            - disk:
                bus: virtio
              name: vol-3
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - bridge: {}
              macAddress: '00:50:56:83:7a:d9'
              model: virtio
              name: net-0
            - bridge: {}
              macAddress: '00:50:56:83:53:97'
              model: virtio
              name: net-1
          tpm:
            enabled: false
        firmware:
          bootloader:
            bios: {}
          serial: 42039858-4452-6200-bdcd-30c581dd63d1
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
        - multus:
            networkName: openshift-mtv/mybridge
          name: net-0
        - multus:
            networkName: openshift-mtv/mybridge
          name: net-1
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: test-boot-order-72-dl7s9
        - name: vol-1
          persistentVolumeClaim:
            claimName: test-boot-order-72-qb2m5
        - name: vol-2
          persistentVolumeClaim:
            claimName: test-boot-order-72-sx84w
        - name: vol-3
          persistentVolumeClaim:
            claimName: test-boot-order-72-rctt2
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-12-24T11:41:16Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: PVC test-boot-order-72-dl7s9 is not shared, live migration requires that all PVCs must be shared (using ReadWriteMany access mode)'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'
    - enabled: false
      name: vol-1
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-1]'
    - enabled: false
      name: vol-2
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-2]'
    - enabled: false
      name: vol-3
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-3]'

